> For the complete documentation index, see [llms.txt](https://www.cakewalk.security/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://www.cakewalk.security/docs/open-api-and-mcp/api-reference/policies.md).

# Policies

The Policies endpoint allows you to retrieve access request policy templates that are compatible with a specific request type (e.g., access, removal). These policy templates define the logic, conditions, and approval flows that can be applied when configuring access workflows.

This endpoint is useful for:

* Dynamically retrieving compatible policies for a specific action
* Populating policy selection UIs in admin tools
* Enabling automation to apply consistent approval flows across apps and roles

***

### 📘 Policies Endpoints

<table><thead><tr><th>Endpoint</th><th>Method</th><th>Description</th><th>Version<select><option value="dZm16FkI95Km" label="v1" color="blue"></option></select></th></tr></thead><tbody><tr><td><a href="/pages/Ctu9Bz7axIqLZb8IR8ji">/{version}/Policies/CompatiblePolicies/{requestType}</a></td><td>GET</td><td>Returns a list of compatible policy templates for the specified request type (e.g. access, remove).</td><td><span data-option="dZm16FkI95Km">v1</span></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://www.cakewalk.security/docs/open-api-and-mcp/api-reference/policies.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
